Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able
Class AbleProperty

    java.lang.Object
      com.ibm.able.AbleProperty

All Implemented Interfaces:
  java.io.Serializable

public class AbleProperty
extends java.lang.Object
implements java.io.Serializable

The AbleProperty class contains constants for ABLE bean properties used when firing property change events and by property change listeners.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `AbleEventProcessingEnabled` Used when changing a bean's Able event processing flag.
`static int` | `AbleEventProcessingEnabledId`
`static java.lang.String` | `ActiveDataSource` Used when changing a bean's active data source.
`static int` | `ActiveDataSourceId`
`static java.lang.String` | `Beans` Used when adding or removing beans from a composite bean.
`static int` | `BeansId`
`static java.lang.String` | `Changed` Used when changing a bean's changed field.
`static int` | `ChangedId`
`static java.lang.String` | `Comment` Used when changing a bean's comment field.
`static int` | `CommentId`
`static java.lang.String` | `DataFlowEnabled` Used when changing a bean's data flow enabled field.
`static int` | `DataFlowEnabledId`
`static java.lang.String` | `DataSource` Used when changing a data source.
`static int` | `DataSourceId`
`static java.lang.String` | `DestBufferConnections` Used when changing a bean's destination buffer connections.
`static int` | `DestBufferConnectionsId`
`static java.lang.String` | `EventQueue` Used when adding an event to or removing an event from a bean's AbleEventQueue.
`static int` | `EventQueueId`
`static java.lang.String` | `FileName` Used when changing a bean's fileName field.
`static int` | `FileNameId`
`static java.lang.String` | `InputBuffer` Used when changing a bean's input buffer.
`static int` | `InputBufferId`
`static java.lang.String` | `Listeners` Used when adding to or removing from a bean's AbleEventListener list.
`static int` | `ListenersId`
`static java.lang.String` | `Logger` Used when changing a bean's logger field.
`static int` | `LoggerId`
`static java.lang.String` | `Name` Used when changing a bean's name field.
`static int` | `NameId`
`static java.lang.String` | `OutputBuffer` Used when changing a bean's output buffer.
`static int` | `OutputBufferId`
`static java.lang.String` | `Parent` Used when changing a bean's parent field.
`static int` | `ParentId`
`static java.lang.String` | `Pr_BooleanValue` Property; Current value of a boolean variable.
`static int` | `Pr_BooleanValueId`
`static java.lang.String` | `Pr_CategoricalStringList` Property; Categorical variable's list of categories.
`static int` | `Pr_CategoricalStringListId`
`static java.lang.String` | `Pr_CategoricalValue` Property; Current value of a categorical variable.
`static int` | `Pr_CategoricalValueId`
`static java.lang.String` | `Pr_ContinuousValue` Property; Current value of a continuous variable.
`static int` | `Pr_ContinuousValueId`
`static java.lang.String` | `Pr_DiscreteNumberList` Property; Discrete variable's list of discrete numbers.
`static int` | `Pr_DiscreteNumberListId`
`static java.lang.String` | `Pr_DiscreteValue` Property; Current value of a discrete variable.
`static int` | `Pr_DiscreteValueId`
`static java.lang.String` | `Pr_FuzzyCrispValue` Property; Discrete variable's list of discrete numbers.
`static int` | `Pr_FuzzyCrispValueId`
`static java.lang.String` | `Pr_FuzzyValue` Property; Current value of a fuzzy variable.
`static int` | `Pr_FuzzyValueId`
`static java.lang.String` | `Pr_FuzzyWork` Property; Current value of a fuzzy variable.
`static int` | `Pr_FuzzyWorkId`
`static java.lang.String` | `Pr_GenericValue` Property; Current value of a generic variable.
`static int` | `Pr_GenericValueId`
`static java.lang.String` | `Pr_NumericValue` Property; Current value of a numeric variable.
`static int` | `Pr_NumericValueId`
`static java.lang.String` | `Pr_StringValue` Property; Current value of a string variable.
`static int` | `Pr_StringValueId`
`static java.lang.String` | `ProcessingState` Used when changing a bean's processing state changes.
`static int` | `ProcessingStateId`
`static java.lang.String` | `ProcessList` Used when changing a bean's process list.
`static int` | `ProcessListId`
`static java.lang.String` | `PropertyConnectionMgr` Used when adding to or removing from a bean's AbleEventQueue.
`static int` | `PropertyConnectionMgrId`
`static java.lang.String` | `RsAlphaCut` AbleRuleSet property: The ruleset's fuzzy alphacut value.
`static int` | `RsAlphaCutId`
`static java.lang.String` | `RsBaseTracer` AbleRuleSet property: The ruleset's base trace logger.
`static int` | `RsBaseTracerId`
`static java.lang.String` | `RsCorrelationMethod` AbleRuleSet property: The ruleset's fuzzy correlation method.
`static int` | `RsCorrelationMethodId`
`static java.lang.String` | `RsDefuzzifyMethod` AbleRuleSet property: The ruleset's fuzzy defuzzify method.
`static int` | `RsDefuzzifyMethodId`
`static java.lang.String` | `RsGoalVariable` AbleRuleSet property: The ruleset's backward chaining goal variable.
`static int` | `RsGoalVariableId`
`static java.lang.String` | `RsInferenceMethod` AbleRuleSet property: The ruleset's inference method.
`static int` | `RsInferenceMethodId`
`static java.lang.String` | `RsInferenceTracer` AbleRuleSet property: The ruleset's inference trace logger.
`static int` | `RsInferenceTracerId`
`static java.lang.String` | `RsInitialFactBase` AbleRuleSet property: The ruleset's initial fact base.
`static int` | `RsInitialFactBaseId`
`static java.lang.String` | `RsRules` AbleRuleSet property: The ruleset's rules list.
`static int` | `RsRulesId`
`static java.lang.String` | `RsVariables` AbleRuleSet property: The ruleset's variables list.
`static int` | `RsVariablesId`
`static java.lang.String` | `SleepTime` Used when changing a bean's sleepTime field.
`static int` | `SleepTimeId`
`static java.lang.String` | `SourceBufferConnections` Used when changing a bean's source buffer connections.
`static int` | `SourceBufferConnectionsId`
`static java.lang.String` | `State` Used when changing a bean's state field.
`static int` | `StateId`
`static java.lang.String` | `TimerEventProcessingEnabled` Used when changing a bean's timer event processing flag.
`static int` | `TimerEventProcessingEnabledId`
`static java.lang.String` | `Trace` Used when changing a bean's trace field.
`static int` | `TraceId`
`static java.lang.String` | `Training` Used when changing a bean's active data source.
`static int` | `TrainingId`
`static java.lang.String` | `Unrecognized` AbleBean property: unrecognized.
`static int` | `UnrecognizedId`
`static java.lang.String` | `UpdateProperties` Used when an updateProperties is called from the customizer.
`static int` | `UpdatePropertiesId`
`static java.lang.String` | `UserDefinedFunction` Used when changing the user defined function list by those who implement AbleUserDefinedFunctionManger.
`static int` | `UserDefinedFunctionId`
`static java.lang.String` | `WrappedObject` Used when altering a wrappered object.
`static int` | `WrappedObjectId`

Method Summary
`static java.lang.String` | `Property(int thePropertyId)` Given a property ID, return a property name.
`static int` | `PropertyId(java.lang.String thePropertyName)` Given a property name, such as the value for SleepTime, return that property's integer ID.
`static java.lang.String` | `PropertyName(int thePropertyId)` Given a property ID, return a property name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WrappedObject

    public static final java.lang.String WrappedObject

  Used when altering a wrappered object.

  See Also:
    Constant Field Values

### WrappedObjectId

    public static final int WrappedObjectId

See Also:
  Constant Field Values

### Name

    public static final java.lang.String Name

  Used when changing a bean's name field.

  See Also:
    Constant Field Values

### NameId

    public static final int NameId

See Also:
  Constant Field Values

### Comment

    public static final java.lang.String Comment

  Used when changing a bean's comment field.

  See Also:
    Constant Field Values

### CommentId

    public static final int CommentId

See Also:
  Constant Field Values

### Changed

    public static final java.lang.String Changed

  Used when changing a bean's changed field.

  See Also:
    Constant Field Values

### ChangedId

    public static final int ChangedId

See Also:
  Constant Field Values

### DataFlowEnabled

    public static final java.lang.String DataFlowEnabled

  Used when changing a bean's data flow enabled field.

  See Also:
    Constant Field Values

### DataFlowEnabledId

    public static final int DataFlowEnabledId

See Also:
  Constant Field Values

### FileName

    public static final java.lang.String FileName

  Used when changing a bean's fileName field.

  See Also:
    Constant Field Values

### FileNameId

    public static final int FileNameId

See Also:
  Constant Field Values

### Logger

    public static final java.lang.String Logger

  Used when changing a bean's logger field.

  See Also:
    Constant Field Values

### LoggerId

    public static final int LoggerId

See Also:
  Constant Field Values

### Parent

    public static final java.lang.String Parent

  Used when changing a bean's parent field.

  See Also:
    Constant Field Values

### ParentId

    public static final int ParentId

See Also:
  Constant Field Values

### State

    public static final java.lang.String State

  Used when changing a bean's state field.

  See Also:
    Constant Field Values

### StateId

    public static final int StateId

See Also:
  Constant Field Values

### InputBuffer

    public static final java.lang.String InputBuffer

  Used when changing a bean's input buffer.

  See Also:
    Constant Field Values

### InputBufferId

    public static final int InputBufferId

See Also:
  Constant Field Values

### OutputBuffer

    public static final java.lang.String OutputBuffer

  Used when changing a bean's output buffer.

  See Also:
    Constant Field Values

### OutputBufferId

    public static final int OutputBufferId

See Also:
  Constant Field Values

### SourceBufferConnections

    public static final java.lang.String SourceBufferConnections

  Used when changing a bean's source buffer connections.

  See Also:
    Constant Field Values

### SourceBufferConnectionsId

    public static final int SourceBufferConnectionsId

See Also:
  Constant Field Values

### DestBufferConnections

    public static final java.lang.String DestBufferConnections

  Used when changing a bean's destination buffer connections.

  See Also:
    Constant Field Values

### DestBufferConnectionsId

    public static final int DestBufferConnectionsId

See Also:
  Constant Field Values

### PropertyConnectionMgr

    public static final java.lang.String PropertyConnectionMgr

  Used when adding to or removing from a bean's AbleEventQueue.

  See Also:
    Constant Field Values

### PropertyConnectionMgrId

    public static final int PropertyConnectionMgrId

See Also:
  Constant Field Values

### EventQueue

    public static final java.lang.String EventQueue

  Used when adding an event to or removing an event from a bean's AbleEventQueue.

  See Also:
    Constant Field Values

### EventQueueId

    public static final int EventQueueId

See Also:
  Constant Field Values

### Listeners

    public static final java.lang.String Listeners

  Used when adding to or removing from a bean's AbleEventListener list.

  See Also:
    Constant Field Values

### ListenersId

    public static final int ListenersId

See Also:
  Constant Field Values

### SleepTime

    public static final java.lang.String SleepTime

  Used when changing a bean's sleepTime field.

  See Also:
    Constant Field Values

### SleepTimeId

    public static final int SleepTimeId

See Also:
  Constant Field Values

### TimerEventProcessingEnabled

    public static final java.lang.String TimerEventProcessingEnabled

  Used when changing a bean's timer event processing flag.

  See Also:
    Constant Field Values

### TimerEventProcessingEnabledId

    public static final int TimerEventProcessingEnabledId

See Also:
  Constant Field Values

### AbleEventProcessingEnabled

    public static final java.lang.String AbleEventProcessingEnabled

  Used when changing a bean's Able event processing flag.

  See Also:
    Constant Field Values

### AbleEventProcessingEnabledId

    public static final int AbleEventProcessingEnabledId

See Also:
  Constant Field Values

### ProcessingState

    public static final java.lang.String ProcessingState

  Used when changing a bean's processing state changes. This indicates a bean has been initialized or had event processing started, suspended, resumed, or quit. Note that due to asynchronous behavior of the event queue, the new state passed in the event may not match the actual bean state. The main difference between the State and ProcessingState properties is that State is fired when the eventQueue toggles between active and waiting for timer events. No ProcessingState change event is fired when the eventQueue toggles.

  See Also:
    Constant Field Values

### ProcessingStateId

    public static final int ProcessingStateId

See Also:
  Constant Field Values

### Trace

    public static final java.lang.String Trace

  Used when changing a bean's trace field.

  See Also:
    Constant Field Values

### TraceId

    public static final int TraceId

See Also:
  Constant Field Values

### DataSource

    public static final java.lang.String DataSource

  Used when changing a data source.

  See Also:
    Constant Field Values

### DataSourceId

    public static final int DataSourceId

See Also:
  Constant Field Values

### ActiveDataSource

    public static final java.lang.String ActiveDataSource

  Used when changing a bean's active data source.

  See Also:
    Constant Field Values

### ActiveDataSourceId

    public static final int ActiveDataSourceId

See Also:
  Constant Field Values

### Beans

    public static final java.lang.String Beans

  Used when adding or removing beans from a composite bean.

  See Also:
    Constant Field Values

### BeansId

    public static final int BeansId

See Also:
  Constant Field Values

### ProcessList

    public static final java.lang.String ProcessList

  Used when changing a bean's process list.

  See Also:
    Constant Field Values

### ProcessListId

    public static final int ProcessListId

See Also:
  Constant Field Values

### UserDefinedFunction

    public static final java.lang.String UserDefinedFunction

  Used when changing the user defined function list by those who implement AbleUserDefinedFunctionManger.

  See Also:
    Constant Field Values

### UserDefinedFunctionId

    public static final int UserDefinedFunctionId

See Also:
  Constant Field Values

### Training

    public static final java.lang.String Training

  Used when changing a bean's active data source.

  See Also:
    Constant Field Values

### TrainingId

    public static final int TrainingId

See Also:
  Constant Field Values

### UpdateProperties

    public static final java.lang.String UpdateProperties

  Used when an updateProperties is called from the customizer.

  See Also:
    Constant Field Values

### UpdatePropertiesId

    public static final int UpdatePropertiesId

See Also:
  Constant Field Values

### Pr_BooleanValue

    public static final java.lang.String Pr_BooleanValue

  Property; Current value of a boolean variable.

  See Also:
    Constant Field Values

### Pr_BooleanValueId

    public static final int Pr_BooleanValueId

See Also:
  Constant Field Values

### Pr_CategoricalValue

    public static final java.lang.String Pr_CategoricalValue

  Property; Current value of a categorical variable.

  See Also:
    Constant Field Values

### Pr_CategoricalValueId

    public static final int Pr_CategoricalValueId

See Also:
  Constant Field Values

### Pr_CategoricalStringList

    public static final java.lang.String Pr_CategoricalStringList

  Property; Categorical variable's list of categories.

  See Also:
    Constant Field Values

### Pr_CategoricalStringListId

    public static final int Pr_CategoricalStringListId

See Also:
  Constant Field Values

### Pr_ContinuousValue

    public static final java.lang.String Pr_ContinuousValue

  Property; Current value of a continuous variable.

  See Also:
    Constant Field Values

### Pr_ContinuousValueId

    public static final int Pr_ContinuousValueId

See Also:
  Constant Field Values

### Pr_DiscreteValue

    public static final java.lang.String Pr_DiscreteValue

  Property; Current value of a discrete variable.

  See Also:
    Constant Field Values

### Pr_DiscreteValueId

    public static final int Pr_DiscreteValueId

See Also:
  Constant Field Values

### Pr_DiscreteNumberList

    public static final java.lang.String Pr_DiscreteNumberList

  Property; Discrete variable's list of discrete numbers.

  See Also:
    Constant Field Values

### Pr_DiscreteNumberListId

    public static final int Pr_DiscreteNumberListId

See Also:
  Constant Field Values

### Pr_FuzzyCrispValue

    public static final java.lang.String Pr_FuzzyCrispValue

  Property; Discrete variable's list of discrete numbers.

  See Also:
    Constant Field Values

### Pr_FuzzyCrispValueId

    public static final int Pr_FuzzyCrispValueId

See Also:
  Constant Field Values

### Pr_FuzzyValue

    public static final java.lang.String Pr_FuzzyValue

  Property; Current value of a fuzzy variable.

  See Also:
    Constant Field Values

### Pr_FuzzyValueId

    public static final int Pr_FuzzyValueId

See Also:
  Constant Field Values

### Pr_FuzzyWork

    public static final java.lang.String Pr_FuzzyWork

  Property; Current value of a fuzzy variable.

  See Also:
    Constant Field Values

### Pr_FuzzyWorkId

    public static final int Pr_FuzzyWorkId

See Also:
  Constant Field Values

### Pr_GenericValue

    public static final java.lang.String Pr_GenericValue

  Property; Current value of a generic variable.

  See Also:
    Constant Field Values

### Pr_GenericValueId

    public static final int Pr_GenericValueId

See Also:
  Constant Field Values

### Pr_NumericValue

    public static final java.lang.String Pr_NumericValue

  Property; Current value of a numeric variable.

  See Also:
    Constant Field Values

### Pr_NumericValueId

    public static final int Pr_NumericValueId

See Also:
  Constant Field Values

### Pr_StringValue

    public static final java.lang.String Pr_StringValue

  Property; Current value of a string variable.

  See Also:
    Constant Field Values

### Pr_StringValueId

    public static final int Pr_StringValueId

See Also:
  Constant Field Values

### RsAlphaCut

    public static final java.lang.String RsAlphaCut

  AbleRuleSet property: The ruleset's fuzzy alphacut value.

  See Also:
    Constant Field Values

### RsAlphaCutId

    public static final int RsAlphaCutId

See Also:
  Constant Field Values

### RsCorrelationMethod

    public static final java.lang.String RsCorrelationMethod

  AbleRuleSet property: The ruleset's fuzzy correlation method.

  See Also:
    Constant Field Values

### RsCorrelationMethodId

    public static final int RsCorrelationMethodId

See Also:
  Constant Field Values

### RsDefuzzifyMethod

    public static final java.lang.String RsDefuzzifyMethod

  AbleRuleSet property: The ruleset's fuzzy defuzzify method.

  See Also:
    Constant Field Values

### RsDefuzzifyMethodId

    public static final int RsDefuzzifyMethodId

See Also:
  Constant Field Values

### RsInferenceMethod

    public static final java.lang.String RsInferenceMethod

  AbleRuleSet property: The ruleset's inference method.

  See Also:
    Constant Field Values

### RsInferenceMethodId

    public static final int RsInferenceMethodId

See Also:
  Constant Field Values

### RsVariables

    public static final java.lang.String RsVariables

  AbleRuleSet property: The ruleset's variables list.

  See Also:
    Constant Field Values

### RsVariablesId

    public static final int RsVariablesId

See Also:
  Constant Field Values

### RsRules

    public static final java.lang.String RsRules

  AbleRuleSet property: The ruleset's rules list.

  See Also:
    Constant Field Values

### RsRulesId

    public static final int RsRulesId

See Also:
  Constant Field Values

### RsInitialFactBase

    public static final java.lang.String RsInitialFactBase

  AbleRuleSet property: The ruleset's initial fact base.

  See Also:
    Constant Field Values

### RsInitialFactBaseId

    public static final int RsInitialFactBaseId

See Also:
  Constant Field Values

### RsBaseTracer

    public static final java.lang.String RsBaseTracer

  AbleRuleSet property: The ruleset's base trace logger.

  See Also:
    Constant Field Values

### RsBaseTracerId

    public static final int RsBaseTracerId

See Also:
  Constant Field Values

### RsInferenceTracer

    public static final java.lang.String RsInferenceTracer

  AbleRuleSet property: The ruleset's inference trace logger.

  See Also:
    Constant Field Values

### RsInferenceTracerId

    public static final int RsInferenceTracerId

See Also:
  Constant Field Values

### RsGoalVariable

    public static final java.lang.String RsGoalVariable

  AbleRuleSet property: The ruleset's backward chaining goal variable.

  See Also:
    Constant Field Values

### RsGoalVariableId

    public static final int RsGoalVariableId

See Also:
  Constant Field Values

### Unrecognized

    public static final java.lang.String Unrecognized

  AbleBean property: unrecognized.

  See Also:
    Constant Field Values

### UnrecognizedId

    public static final int UnrecognizedId

See Also:
  Constant Field Values

Method Detail

### PropertyId

    public static final int PropertyId(java.lang.String thePropertyName)

  Given a property name, such as the value for SleepTime, return that property's integer ID.

  Parameters:
    `thePropertyName` - A String defined in AbleProperty.

  Returns:
    An integer index of the named property, which can be used in a listener's SWITCH statement.

### PropertyName

    public static final java.lang.String PropertyName(int thePropertyId)

  Given a property ID, return a property name.

  Parameters:
    `thePropertyId` - An ID of an AbleProperty field.

  Returns:
    A string containing the actual property name or "Unrecognised" if the ID is unknown.

### Property

    public static final java.lang.String Property(int thePropertyId)

  Given a property ID, return a property name.

  Parameters:
    `thePropertyId` - An ID of an AbleProperty field.

  Returns:
    A string of the form "n:AbleProperty." where "n" is the given ID, and "" is the property name associated with the ID, or "Unrecognised" if the ID is unknown.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005